export interface CustomProvider {
    get?: ProviderArgs;
    update?: ProviderArgs;
    create?: ProviderArgs;
    repository?: {
        new (...args: any[]): any;
    };
    controller?: CustomController;
    imports?: any[];
}
export interface ProviderArgs {
    className: {
        new (...args: any[]): any;
    };
    injectArgs?: string[];
}
export interface CustomController {
    get?: {
        new (...args: any[]): any;
    };
    update?: {
        new (...args: any[]): any;
    };
    create?: {
        new (...args: any[]): any;
    };
}
