"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.commonFieldSchema = exports.manyCloneSchema = exports.commonActivationSchema = exports.commonGroupBySchema = exports.singleCloneSchema = exports.commonSearchSchema = void 0;
const Joi = __importStar(require("joi"));
exports.commonSearchSchema = {
    page: Joi.number().min(1).optional(),
    pageSize: Joi.number().min(1).optional(),
    orderBy: Joi.string().optional(),
    orderMode: Joi.string().optional(),
    select: Joi.string().optional(),
    _ids: Joi.string().optional(),
};
exports.singleCloneSchema = {
    cloneRelations: Joi.array().optional(),
};
exports.commonGroupBySchema = {
    sumField: Joi.string().optional(),
};
exports.commonActivationSchema = {
    cascadeRelations: Joi.string().optional(),
};
exports.manyCloneSchema = {
    _ids: Joi.array().min(1).required(),
    cloneRelations: Joi.array().optional(),
};
exports.commonFieldSchema = [
    {
        key: 'active',
        required: false,
        type: 'boolean',
        hidden: true,
        allowed: {
            search: true,
            update: false,
        },
    },
];
