import { ErrorService, GetTranslationService } from '@devseeder/nestjs-microservices-schemas';
import { CompareOperators } from '@devseeder/nestjs-microservices-schemas';
export declare class ComparatorHelper {
    private readonly errorService;
    private readonly translationService;
    private readonly entityLabels;
    constructor(errorService: ErrorService, translationService: GetTranslationService, entityLabels?: any[]);
    static compare(valueA: any, valueB: any, operator: CompareOperators, type: string): boolean;
    static compareValues(valueA: any, valueB: any, operator: CompareOperators): boolean;
    getComparatorError(key: string, value: any, operator: CompareOperators): Promise<void>;
    getEnumKeyByEnumValue<EnumType>(myEnum: any, enumValue: string): EnumType | null;
}
