import { EntitySchema, FieldSchema } from '@devseeder/nestjs-microservices-schemas';
import { Logger } from '@nestjs/common';
export declare abstract class AbstractEntityLoader {
    protected readonly entity: string;
    protected readonly fieldSchemaData?: FieldSchema[];
    protected readonly entitySchemaData?: EntitySchema[];
    readonly logger: Logger;
    entitySchema: EntitySchema;
    entityLabels: string[];
    fieldSchemaDb: FieldSchema[];
    constructor(entity: string, fieldSchemaData?: FieldSchema[], entitySchemaData?: EntitySchema[]);
}
