"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthHttpModule = void 0;
const common_1 = require("@nestjs/common");
const axios_1 = require("@nestjs/axios");
const nestjs_microservices_core_1 = require("@devseeder/nestjs-microservices-core");
const config_1 = require("@nestjs/config");
let AuthHttpModule = class AuthHttpModule {
};
exports.AuthHttpModule = AuthHttpModule;
exports.AuthHttpModule = AuthHttpModule = __decorate([
    (0, common_1.Module)({
        imports: [axios_1.HttpModule],
        controllers: [],
        providers: [
            { provide: nestjs_microservices_core_1.ClientAuthService.name, useClass: nestjs_microservices_core_1.ClientAuthService },
            config_1.ConfigService,
        ],
        exports: [nestjs_microservices_core_1.ClientAuthService.name, config_1.ConfigService],
    })
], AuthHttpModule);
