"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoryQueryService = void 0;
const abstract_service_service_1 = require("../abstract-service.service");
class MemoryQueryService extends abstract_service_service_1.AbstractService {
    constructor() {
        super(...arguments);
        this.memoryQuery = [];
    }
    getMemory(entity, key, valueKey) {
        const item = this.memoryQuery.filter((mem) => mem.entity == entity && mem.key == key && mem.valueKey == valueKey);
        return item.length ? item[0].value : null;
    }
    set(entity, key, valueKey, value) {
        this.memoryQuery.push({
            entity,
            key,
            valueKey,
            value,
        });
    }
}
exports.MemoryQueryService = MemoryQueryService;
