import * as Joi from 'joi';
export declare const commonSearchSchema: {
    page: Joi.NumberSchema<number>;
    pageSize: Joi.NumberSchema<number>;
    orderBy: Joi.StringSchema<string>;
    orderMode: Joi.StringSchema<string>;
    select: Joi.StringSchema<string>;
    _ids: Joi.StringSchema<string>;
};
export declare const singleCloneSchema: {
    cloneRelations: Joi.ArraySchema<string>;
};
export declare const commonGroupBySchema: {
    sumField: Joi.StringSchema<string>;
};
export declare const commonActivationSchema: {
    cascadeRelations: Joi.StringSchema<string>;
};
export declare const manyCloneSchema: {
    _ids: Joi.ArraySchema<string>;
    cloneRelations: Joi.ArraySchema<string>;
};
export declare const commonFieldSchema: {
    key: string;
    required: boolean;
    type: string;
    hidden: boolean;
    allowed: {
        search: boolean;
        update: boolean;
    };
}[];
