"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntityModelTokenBuilder = void 0;
class EntityModelTokenBuilder {
    static buildMongooseStaticModelForFeature(modelTokens) {
        const arrModel = [];
        Object.keys(modelTokens).forEach((key) => {
            arrModel.push({
                name: modelTokens[key].modelName,
                schema: modelTokens[key].schema,
            });
        });
        return arrModel;
    }
}
exports.EntityModelTokenBuilder = EntityModelTokenBuilder;
