"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenericModuleGenerator = void 0;
const generic_module_1 = require("./generic.module");
class GenericModuleGenerator {
    static generateModules(moduleOptions) {
        const modules = [];
        const moduleKeys = Object.keys(moduleOptions.modelTokens);
        moduleKeys.forEach((key) => {
            const entityToken = moduleOptions.modelTokens[key];
            modules.push(generic_module_1.GenericModule.forFeature(Object.assign(Object.assign({}, moduleOptions), { entity: entityToken['collection'], modelName: entityToken['modelName'], customProvider: entityToken['customProvider'] })));
        });
        return modules;
    }
}
exports.GenericModuleGenerator = GenericModuleGenerator;
