import { GetTranslationService } from '@devseeder/nestjs-microservices-schemas';
import { DynamicValuesEnum } from '../../enum/dynamic-values.enum';
export declare class DynamicValueService {
    protected readonly translationService: GetTranslationService;
    constructor(translationService: GetTranslationService);
    static getDynamicValue(dynamicValue: DynamicValuesEnum, value: any, item?: object): any;
    static testRegexDynamicValues(value: any): any;
    static testRegex(dynamicValue: DynamicValuesEnum, value: any): boolean;
    getValueMessage(dynamicValue: DynamicValuesEnum, value: any): any;
}
